## double-conversion 1.1.1

=== SConstruct ===
double_conversion_sources = ['src/' + x for x in SConscript('src/SConscript')]
double_conversion_test_sources = ['test/cctest/' + x for x in SConscript('test/cctest/SConscript')]
test = double_conversion_sources + double_conversion_test_sources
print(test)
env = Environment(CPPPATH='#/src', LIBS=['m', 'stdc++'])
debug = ARGUMENTS.get('debug', 0)
optimize = ARGUMENTS.get('optimize', 0)
if int(debug):
  env.Append(CCFLAGS = '-g -Wall -Werror')
if int(optimize):
  env.Append(CCFLAGS = '-O3')
print double_conversion_sources
print double_conversion_test_sources
env.Program('run_tests', double_conversion_sources + double_conversion_test_sources)

=== debian/changelog ===
double-conversion (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #692264)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Nov 2012 14:57:08 +0100

=== debian/control ===
Source: double-conversion
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-exec
Standards-Version: 3.9.4
Section: libs
Homepage: http://double-conversion.googlecode.com
Vcs-Git: git://git.debian.org/git/debian-science/packages/double-conversion.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/double-conversion.git

Package: libdouble-conversion0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: routines to convert IEEE floats to and from strings
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a shared version of the library.

Package: libdouble-conversion-dev
Section: libdevel
Architecture: any
Depends: libdouble-conversion0 (= ${binary:Version}), ${misc:Depends}
Description: routines to convert IEEE floats to and from strings (development files)
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a static version of the library and development headers.

Package: libdouble-conversion-dbg
Section: debug
Architecture: any
Depends: libdouble-conversion0 (= ${binary:Version}), ${misc:Depends}
Description: routines to convert IEEE floats to and from strings (debugging symbols)
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains the detached debugging symbols of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Get compilation flags from dpkg-buildflags
include /usr/share/dpkg/default.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

SO=0
VERS=$(SO).0

SRC=$(shell echo src/*.cc)
OBJ=$(SRC:.cc=.o)

TEST_SRC=$(shell echo test/cctest/*.cc)
TEST_OBJ=$(TEST_SRC:.cc=.o)

CPPFLAGS += -Isrc/

debian/shared_dir debian/static_dir:
	mkdir -p $(subst _dir,,$(@))
	touch $@

$(subst src/,debian/static/,$(OBJ)): \
  debian/static/%.o : src/%.cc debian/static_dir

	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

$(subst src/,debian/shared/,$(OBJ)): \
  debian/shared/%.o : src/%.cc debian/shared_dir

	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -c $< -o $@

libdouble-conversion.so: libdouble-conversion.so.$(SO)
	ln -snf $< $@

libdouble-conversion.so.$(SO): libdouble-conversion.so.$(VERS)
	ln -snf $< $@

libdouble-conversion.so.$(VERS): $(subst src/,debian/shared/,$(OBJ))
	$(CXX) $(LDFLAGS) -shared -Wl,-soname=libdouble-conversion.so.$(SO) -o $@ $^

libdouble-conversion.a: $(subst src/,debian/static/,$(OBJ))
	ar r $@ $^

run_tests: $(TEST_OBJ) libdouble-conversion.a
	$(CXX) $(LDFLAGS) -o run_tests $^

override_dh_auto_build: libdouble-conversion.so libdouble-conversion.a run_tests

override_dh_auto_clean:
	rm -f libdouble-conversion.* run_tests test/cctest/*.o
	rm -rf debian/shared debian/static
	rm -f debian/static_dir debian/shared_dir

override_dh_strip:
	dh_strip --dbg-package=libdouble-conversion-dbg

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## double-conversion 2.0.0

=== debian/changelog ===
double-conversion (2.0.0-1) unstable; urgency=low

  * Imported Upstream version 2.0.0
  * Bump SONAME to libdouble-conversion.so.1.
    StringToDoubleConverter::StringToIeee has been removed. Even though it is a
    private member, it is called by a public inlined function.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove unused lintian overrides
  * Use canonical URLs for Vcs-* fields
  * Mark debug package as Multi-Arch: same

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Nov 2013 17:35:09 +0100

## double-conversion 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(double-conversion)

# pick a version #
set(double-conversion_VERSION
  1.1.1)

# set paths for install -- empty initially
# Offer the user the choice of overriding the installation directories
set(INSTALL_BIN_DIR CACHE PATH "Installation directory for libraries")
set(INSTALL_LIB_DIR CACHE PATH "Installation directory for libraries")
set(INSTALL_INCLUDE_DIR CACHE PATH "Installation directory for include")
# set suffix for CMake files used for packaging
if(WIN32 AND NOT CYGWIN)
  set(INSTALL_CMAKE_DIR CMake)
else()
  set(INSTALL_CMAKE_DIR lib/CMake/double-conversion)
endif()

# Make relative paths absolute (needed later)
foreach(p LIB BIN INCLUDE CMAKE)
  set(var INSTALL_${p}_DIR)
  if(NOT IS_ABSOLUTE "${${var}}")
    set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif()
endforeach()

#
# set up include dirs
include_directories("${PROJECT_SOURCE_DIR}/src"
  "${PROJECT_BINARY_DIR}"
  )

# Add src subdirectory
add_subdirectory(src)

#
# set up testing if requested
option(BUILD_TESTING "Build test programs" OFF)
if(BUILD_TESTING)
  enable_testing()
  include(CTest)
  add_subdirectory(test)
endif()

#
# mention the library target as export library
export(TARGETS double-conversion
  FILE "${PROJECT_BINARY_DIR}/double-conversionLibraryDepends.cmake")

#
# set this build as an importable package
export(PACKAGE double-conversion)

#
# make a cmake file -- in this case, all that needs defining
# is double-conversion_INCLUDE_DIRS
configure_file(double-conversionBuildTreeSettings.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionBuildTreeSettings.cmake"
  @ONLY)

#
# determine where include is relative to the CMake dir in
# in installed tree
file(RELATIVE_PATH CONF_REL_INCLUDE_DIR "${INSTALL_CMAKE_DIR}"
  "${INSTALL_INCLUDE_DIR}")

#
# sets up config to be used by CMake find_package
configure_file(double-conversionConfig.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionConfig.cmake"
  @ONLY)
#
# Export version # checked by find_package
configure_file(double-conversionConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionConfigVersion.cmake"
  @ONLY)
#
# install config files for find_package
install(FILES
  "${PROJECT_BINARY_DIR}/double-conversionConfig.cmake"
  "${PROJECT_BINARY_DIR}/double-conversionConfigVersion.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)


#
# generates install cmake files to find libraries in installation.
install(EXPORT double-conversionLibraryDepends DESTINATION
  "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== SConstruct ===
# vim:ft=python
import os

double_conversion_sources = ['src/' + x for x in SConscript('src/SConscript')]
double_conversion_test_sources = ['test/cctest/' + x for x in SConscript('test/cctest/SConscript')]

DESTDIR = ARGUMENTS.get('DESTDIR', '')
prefix = ARGUMENTS.get('prefix', '/usr/local')
lib = ARGUMENTS.get('libsuffix', 'lib')
libdir = os.path.join(DESTDIR + prefix, lib)

env = Environment(CPPPATH='#/src', LIBS=['m', 'stdc++'],
    CXXFLAGS=ARGUMENTS.get('CXXFLAGS', ''))
debug = ARGUMENTS.get('debug', 0)
optimize = ARGUMENTS.get('optimize', 0)
env.Replace(CXX = ARGUMENTS.get('CXX', 'g++'))

# for shared lib, requires scons 2.3.0
env['SHLIBVERSION'] = '1.0.0'

CCFLAGS = []
if int(debug):
  CCFLAGS.append(ARGUMENTS.get('CXXFLAGS', '-g -Wall -Werror'))
if int(optimize):
  CCFLAGS.append(ARGUMENTS.get('CXXFLAGS', '-O3'))

env.Append(CCFLAGS = " ".join(CCFLAGS))

double_conversion_shared_objects = [
    env.SharedObject(src) for src in double_conversion_sources]
double_conversion_static_objects = [
    env.StaticObject(src) for src in double_conversion_sources]

library_name = 'double-conversion'

static_lib = env.StaticLibrary(library_name, double_conversion_static_objects)
static_lib_pic = env.StaticLibrary(library_name + '_pic', double_conversion_shared_objects)
shared_lib = env.SharedLibrary(library_name, double_conversion_shared_objects)

env.Program('run_tests', double_conversion_test_sources, LIBS=[static_lib])

env.InstallVersionedLib(libdir, shared_lib)
env.Install(libdir, static_lib)
env.Install(libdir, static_lib_pic)

env.Alias('install', libdir)

=== debian/changelog ===
double-conversion (2.0.1-4ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Add Breaks/Replaces for the libdouble-conversion1v5 package,
      can be dropped after the 18.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Nov 2016 16:44:52 +0100

double-conversion (2.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed compiler.  Closes: #842600

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 10.
    + --parallel is now default.
  * Drop manual -dbg package in favour of automatic -dbgsym.
  * Drop nowadays unneeded build-dep on dpkg-dev (>= 1.16.x).
  * Use https in Vcs-* fields.
  * Mark libdouble-conversion-dev as M-A:same.
  * Make the package build reproducibility by sorting the list of sources
    before building, to avoid random order in static libs.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Oct 2016 17:56:47 +0000

double-conversion (2.0.1-3ubuntu2) wily; urgency=medium

  * Rename libdouble-conversion1 to libdouble-conversion1v5.
  * Add Breaks/Replaces.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 11:23:44 +0200

double-conversion (2.0.1-3ubuntu1) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 13:25:58 +0200

double-conversion (2.0.1-3) unstable; urgency=medium

  * libdouble-conversion1.symbols: replace "any-amd64" by
    "amd64 kfreebsd-amd64". This fixes the FTBFS on x32 (because x32 matches
    any-amd64, but is 32-bit arch).
  * Project has moved to GitHub:
    + d/control: update Homepage field
    + d/watch: point to GitHub

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 May 2015 14:04:51 +0200

double-conversion (2.0.1-2) unstable; urgency=medium

  * Add support for m68k.
    Thanks to Thorsten Glaser for the patch. (Closes: #699849)
  * Add a symbols file. (Closes: #780245)
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 23:43:43 +0200

double-conversion (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 19:17:27 +0100

=== debian/control ===
Source: double-conversion
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 10), dh-exec
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/floitsch/double-conversion
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git

Package: libdouble-conversion1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libdouble-conversion1v5
Replaces: libdouble-conversion1v5
Description: routines to convert IEEE floats to and from strings
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a shared version of the library.

Package: libdouble-conversion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdouble-conversion1 (= ${binary:Version}), ${misc:Depends}
Description: routines to convert IEEE floats to and from strings (development files)
 This library provides routines to convert IEEE single and double floats to and
 from string representations. It offers at lot of flexibility with respect to
 the conversion format: shortest, fixed, precision or exponential
 representation; decimal, octal or hexadecimal basis; control over number of
 digits, leading/trailing zeros and spaces.
 .
 The library consists of efficient conversion routines that have been
 extracted from the V8 JavaScript engine. The code has been refactored
 and improved so that it can be used more easily in other projects.
 .
 This package contains a static version of the library and development headers.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Get compilation flags from dpkg-buildflags
 include /usr/share/dpkg/default.mk
+ifeq ($(origin CXX),default)
+       CXX = $(DEB_HOST_GNU_TYPE)-g++
+endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -9,15 +12,15 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
-SO=0
+SO=1
 VERS=$(SO).0
 
-SRC=$(shell echo src/*.cc)
+SRC=$(sort $(wildcard src/*.cc))
 OBJ=$(SRC:.cc=.o)
 
-TEST_SRC=$(shell echo test/cctest/*.cc)
+TEST_SRC=$(sort $(wildcard test/cctest/*.cc))
 TEST_OBJ=$(TEST_SRC:.cc=.o)
 
 CPPFLAGS += -Isrc/
@@ -58,9 +61,6 @@
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
 
-override_dh_strip:
-	dh_strip --dbg-package=libdouble-conversion-dbg
-
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/double-conversion-$1\.tar\.gz/ \
  https://github.com/floitsch/double-conversion/tags .*/v?(\d\S*)\.tar\.gz

## double-conversion 3.1.0

=== debian/changelog ===
double-conversion (3.1.0-3) unstable; urgency=medium

  * Cherry-pick upstream commits to fix incorrect downcasting of separator_.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 07 Mar 2019 14:15:09 +0000

double-conversion (3.1.0-2) unstable; urgency=medium

  * autopkgtest: Add one more test script unittest.sh .
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 20 Sep 2018 05:41:28 +0000

double-conversion (3.1.0-1) experimental; urgency=medium

  * New upstream version 3.1.0
  * Bump Standards-Version to 4.2.1 (no change).
  * Add myself in copyright file and refresh patches.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 10 Sep 2018 03:01:06 +0000

double-conversion (3.0.0+git20180802.4e8b3b5-1) experimental; urgency=medium

  * [O/ITA] Add myself to Uploaders. (Closes: #815264)
  * New upstream version snapshot 3.0.0+git20180802.4e8b3b5
    + Note, the SOVERSION has been bumped to 3.0.0 in upstream's cmake
      build. However it was bumped only because they had changed the
      source directory layout, and ABI has not been changed. Hence, in
      debian/rules SOVERSION is left unchanged because bumping it doesn't
      make sense for Debian and would trigger an unnecessary rebuild
      of the reverse dependency tree.
  * Update Patches.
    + Refresh fix_m68k.patch .
    - Remove fix_riscv64.patch , fixed upstream.
  * Modify source paths in rules , *.install and debian/*.docs ,
    following upstream's directory layout change.
  * Append hardening flags to rules.
  * Upgrade watch file to uscan version 4.
  * Homepage: Upstream project transferred to google.
  * Add autopkgtest control file to build and run upstream tests.
  * Bump Standards-Version to 4.2.0 (no change).
  * Add -I. to CPPFLAGS in order to avoid build failure in clean chroot.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 19 Aug 2018 07:03:56 +0000

double-conversion (2.0.1-5) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Drop Sébastien Villemot from Uploaders (see #815264).

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.1.4:
    + Change priority from extra (deprecated) to optional.
    + Use HTTPS in d/copyright's Format URL.
    + Remove pointless get-orig-source target from d/rules.
  * d/control: Change Vcs-* URL to salsa.debian.org.
  * Add patch from Manuel A. Fernandez Montecelo <mafm@debian.org> to fix
    build on riscv64.  Closes: #895333
  * Bump debhelper compat level to 11.
  * d/rules: link with --as-needed.
  * Add new symbols that somehow appeared (coming from a template, probably
    something new of gcc7) after a rebuild.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Apr 2018 13:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: double-conversion
-Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec
-Standards-Version: 3.9.8
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Section: libs
-Homepage: https://github.com/floitsch/double-conversion
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/double-conversion.git
+Priority: optional
+Build-Depends: debhelper (>= 11),
+               dh-exec
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
+Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
+Homepage: https://github.com/google/double-conversion
 
 Package: libdouble-conversion1
 Architecture: any
 Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libdouble-conversion1v5
-Replaces: libdouble-conversion1v5
 Description: routines to convert IEEE floats to and from strings
  This library provides routines to convert IEEE single and double floats to and
  from string representations. It offers at lot of flexibility with respect to
@@ -30,10 +30,11 @@
  This package contains a shared version of the library.
 
 Package: libdouble-conversion-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdouble-conversion1 (= ${binary:Version}), ${misc:Depends}
+Section: libdevel
+Depends: libdouble-conversion1 (= ${binary:Version}),
+         ${misc:Depends}
 Description: routines to convert IEEE floats to and from strings (development files)
  This library provides routines to convert IEEE single and double floats to and
  from string representations. It offers at lot of flexibility with respect to

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Get compilation flags from dpkg-buildflags
include /usr/share/dpkg/default.mk
ifeq ($(origin CXX),default)
       CXX = $(DEB_HOST_GNU_TYPE)-g++
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

SO=1
VERS=$(SO).0

SRC=$(sort $(wildcard double-conversion/*.cc))
OBJ=$(SRC:.cc=.o)

TEST_SRC=$(sort $(wildcard test/cctest/*.cc))
TEST_OBJ=$(TEST_SRC:.cc=.o)

CPPFLAGS += -Idouble-conversion/ -I.

debian/shared_dir debian/static_dir:
	mkdir -p $(subst _dir,,$(@))
	touch $@

$(subst double-conversion/,debian/static/,$(OBJ)): \
  debian/static/%.o : double-conversion/%.cc debian/static_dir

	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

$(subst double-conversion/,debian/shared/,$(OBJ)): \
  debian/shared/%.o : double-conversion/%.cc debian/shared_dir

	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -c $< -o $@

libdouble-conversion.so: libdouble-conversion.so.$(SO)
	ln -snf $< $@

libdouble-conversion.so.$(SO): libdouble-conversion.so.$(VERS)
	ln -snf $< $@

libdouble-conversion.so.$(VERS): $(subst double-conversion/,debian/shared/,$(OBJ))
	$(CXX) $(LDFLAGS) -shared -Wl,-soname=libdouble-conversion.so.$(SO) -o $@ $^

libdouble-conversion.a: $(subst double-conversion/,debian/static/,$(OBJ))
	ar r $@ $^

run_tests: $(TEST_OBJ) libdouble-conversion.a
	$(CXX) $(LDFLAGS) -o run_tests $^

override_dh_auto_build: libdouble-conversion.so libdouble-conversion.a run_tests

override_dh_auto_clean:
	rm -f libdouble-conversion.* run_tests test/cctest/*.o
	rm -rf debian/shared debian/static
	rm -f debian/static_dir debian/shared_dir

=== debian/tests/control ===
# build and run upstream unit tests
Test-Command: g++ test/cctest/*.cc -ldouble-conversion -o run_tests; make test
Depends: @, build-essential

Tests: unittest.sh
Depends: @, build-essential

## double-conversion 3.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(double-conversion VERSION 3.1.5)

set(headers
    double-conversion/bignum.h
    double-conversion/cached-powers.h
    double-conversion/diy-fp.h
    double-conversion/double-conversion.h
    double-conversion/fast-dtoa.h
    double-conversion/fixed-dtoa.h
    double-conversion/ieee.h
    double-conversion/strtod.h
    double-conversion/utils.h)

add_library(double-conversion
            double-conversion/bignum.cc
            double-conversion/bignum-dtoa.cc
            double-conversion/cached-powers.cc
            double-conversion/diy-fp.cc
            double-conversion/double-conversion.cc
            double-conversion/fast-dtoa.cc
            double-conversion/fixed-dtoa.cc
            double-conversion/strtod.cc
            ${headers})
target_include_directories(
    double-conversion PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)

# pick a version #
set_target_properties(double-conversion PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION 3)

# set up testing if requested
option(BUILD_TESTING "Build test programs" OFF)
if(BUILD_TESTING)
  enable_testing()
  include(CTest)
  add_subdirectory(test)
endif()

####
# Installation (https://github.com/forexample/package-example)

include(GNUInstallDirs)

# Layout. This works for all platforms:
#   * <prefix>/lib/cmake/<PROJECT-NAME>
#   * <prefix>/lib/
#   * <prefix>/include/
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")

# Configuration
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(targets_export_name "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

# Include module with function 'write_basic_package_version_file'
include(CMakePackageConfigHelpers)

# Configure '<PROJECT-NAME>ConfigVersion.cmake'
# Note: PROJECT_VERSION is used as a VERSION
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

# Configure '<PROJECT-NAME>Config.cmake'
# Use variables:
#   * targets_export_name
#   * PROJECT_NAME
configure_package_config_file(
    "cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

# Targets:
#   * <prefix>/lib/libdouble-conversion.a
#   * header location after install: <prefix>/include/double-conversion/*.h
#   * headers can be included by C++ code `#include <double-conversion/*.h>`
install(
    TARGETS double-conversion
    EXPORT "${targets_export_name}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Headers:
#   * double-conversion/*.h -> <prefix>/include/double-conversion/*.h
install(
    FILES ${headers}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/double-conversion"
)

# Config
#   * <prefix>/lib/cmake/double-conversion/double-conversionConfig.cmake
#   * <prefix>/lib/cmake/double-conversion/double-conversionConfigVersion.cmake
install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

# Config
#   * <prefix>/lib/cmake/double-conversion/double-conversionTargets.cmake
install(
    EXPORT "${targets_export_name}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

=== debian/changelog ===
double-conversion (3.1.5-4ubuntu1) focal; urgency=medium

  * Drop one of the autopkgtests, as they both run the same thing and one
    is therefore redundant.
  * Make remaining autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Jan 2020 22:28:28 -0800

double-conversion (3.1.5-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.4.1.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Use buildflags.mk instead of manual invocation to get correct
      CXX variable.
    + Define DPKG_EXPORT_BUILDFLAGS=1 to correctly get buildflags.

  [ Mo Zhou ]
  * Update my mail address in control and copyright.
  * Bump debhelper compat level to 12 and deprecate d/compat.

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jan 2020 15:34:43 +0800

double-conversion (3.1.5-3) unstable; urgency=medium

  * Fixup autopkgtest failure due to a problem of test script.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 14:40:46 +0800

double-conversion (3.1.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 06 Aug 2019 06:49:53 +0000

double-conversion (3.1.5-1) experimental; urgency=medium

  * New upstream version 3.1.5
  * Remove patches merged in the new release.
  * Bump SOVERSION to 3 following upstream.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 10 Jul 2019 02:38:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: double-conversion
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-exec
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion
 
-Package: libdouble-conversion1
+Package: libdouble-conversion3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -33,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdouble-conversion1 (= ${binary:Version}),
+Depends: libdouble-conversion3 (= ${binary:Version}),
          ${misc:Depends}
 Description: routines to convert IEEE floats to and from strings (development files)
  This library provides routines to convert IEEE single and double floats to and

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Get compilation flags from dpkg-buildflags
+DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-ifeq ($(origin CXX),default)
-       CXX = $(DEB_HOST_GNU_TYPE)-g++
-endif
+
+# The buildtools.mk script was introduced along with dpkg-dev 1.19.0.
+# Fixes FTCBFS. See https://bugs.debian.org/842600
+DPKG_EXPORT_BUILDTOOLS=1
+-include /usr/share/dpkg/buildtools.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -17,8 +20,8 @@
 %:
 	dh $@
 
-SO=1
-VERS=$(SO).0
+SO=3
+VERS=$(SO).1
 
 SRC=$(sort $(wildcard double-conversion/*.cc))
 OBJ=$(SRC:.cc=.o)
@@ -63,3 +66,6 @@
 	rm -f libdouble-conversion.* run_tests test/cctest/*.o
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/tests/control ===
Tests: unittest.sh
Depends: @, build-essential

## double-conversion 3.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 cmake_minimum_required(VERSION 3.0)
-project(double-conversion VERSION 3.1.5)
+project(double-conversion VERSION 3.1.7)
+
+if(BUILD_SHARED_LIBS AND MSVC)
+  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
+endif()
 
 set(headers
     double-conversion/bignum.h
     double-conversion/cached-powers.h
     double-conversion/diy-fp.h
     double-conversion/double-conversion.h
+    double-conversion/double-to-string.h
     double-conversion/fast-dtoa.h
     double-conversion/fixed-dtoa.h
     double-conversion/ieee.h
+    double-conversion/string-to-double.h
     double-conversion/strtod.h
     double-conversion/utils.h)
 
@@ -16,10 +22,10 @@
             double-conversion/bignum.cc
             double-conversion/bignum-dtoa.cc
             double-conversion/cached-powers.cc
-            double-conversion/diy-fp.cc
-            double-conversion/double-conversion.cc
+            double-conversion/double-to-string.cc
             double-conversion/fast-dtoa.cc
             double-conversion/fixed-dtoa.cc
+            double-conversion/string-to-double.cc
             double-conversion/strtod.cc
             ${headers})
 target_include_directories(

=== test/cctest/CMakeLists.txt ===

set(CCTEST_SRC
  cctest.cc
  gay-fixed.cc
  gay-precision.cc
  gay-shortest.cc
  gay-shortest-single.cc
  test-bignum.cc
  test-bignum-dtoa.cc
  test-conversions.cc
  test-diy-fp.cc
  test-dtoa.cc
  test-fast-dtoa.cc
  test-fixed-dtoa.cc
  test-ieee.cc
  test-strtod.cc
)

add_executable(cctest ${CCTEST_SRC})
target_link_libraries(cctest double-conversion)
if(MSVC)
    target_compile_options(cctest PRIVATE /bigobj)
endif()

add_test(NAME test_bignum
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-bignum)

add_test(NAME test_bignum_dtoa
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-bignum-dtoa)

add_test(NAME test_conversions
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-conversions)
add_test(NAME test_diy_fp
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-diy-fp)
add_test(NAME test_dtoa
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-dtoa)
add_test(NAME test_fast_dtoa
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-fast-dtoa)
add_test(NAME test_fixed_dtoa
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-fixed-dtoa)
add_test(NAME test_ieee
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-ieee)
add_test(NAME test_strtod
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMAND $<TARGET_FILE:cctest> test-strtod)

=== debian/changelog ===
double-conversion (3.1.7-4) unstable; urgency=medium

  * Use the correct CXXFLAGS for autopkgtest. (Closes: #1003684)

 -- Mo Zhou <lumin@debian.org>  Fri, 14 Jan 2022 21:49:29 -0500

double-conversion (3.1.7-3) unstable; urgency=medium

  * Update patch for MIPS* and also fix for HPPA.

 -- Mo Zhou <lumin@debian.org>  Sun, 09 Jan 2022 20:34:08 -0500

double-conversion (3.1.7-2) unstable; urgency=medium

  * Patch code to fix QuietNan bit check for MIPS* architectures.

 -- Mo Zhou <lumin@debian.org>  Sun, 09 Jan 2022 15:37:30 -0500

double-conversion (3.1.7-1) unstable; urgency=medium

  * New upstream version 3.1.7
  * Refresh remaining patches.
  * Refresh the symbols control file.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Jan 2022 13:17:16 -0500

double-conversion (3.1.5-7) unstable; urgency=medium

  * Refresh symbols control file. (Closes: #997416)
  * Bump Standards-Version to 4.6.0 without change.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Oct 2021 20:18:32 -0400

double-conversion (3.1.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Compile with -O2 to prevent symbols disappearing with built with -O3.
    Patch by Steve Langasek. (Closes: #973326)
  * The same symbol is missing on *-kfreebsd even with -O2, mark it as
    missing.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 01:01:25 +0100

double-conversion (3.1.5-6) unstable; urgency=medium

  [ Steve Langasek ]
  * Make the new cmake autopkgtest cross-test-friendly as well.

  [ Mo Zhou ]
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper compat level to 13.
  * Refresh symbols control file and specify Build-Depends-Package.
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Oct 2020 20:20:08 +0800

double-conversion (3.1.5-5) unstable; urgency=medium

  [ Steve Langasek ]
  * Drop one of the redundant autopkgtests.
  * Make remaining autopkgtests cross-test-friendly. (Closes: #948559)

  [ Mo Zhou ]
  * Add a pkg-config template.
  * Add static Config.cmake files for double-conversion.
  * Install the pkg-config and cmake files to the -dev package.
  * And a corresponding autopkgtest case for the cmake files.

 -- Mo Zhou <lumin@debian.org>  Sat, 11 Jan 2020 14:36:44 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND += -O2
+export DEB_CXXFLAGS_MAINT_STRIP += -O3
 
 # Get compilation flags from dpkg-buildflags
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -61,11 +63,14 @@
 	$(CXX) $(LDFLAGS) -o run_tests $^
 
 override_dh_auto_build: libdouble-conversion.so libdouble-conversion.a run_tests
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
+		< debian/double-conversion.pc.in > debian/double-conversion.pc
 
 override_dh_auto_clean:
 	rm -f libdouble-conversion.* run_tests test/cctest/*.o
 	rm -rf debian/shared debian/static
 	rm -f debian/static_dir debian/shared_dir
+	-$(RM) debian/*.pc
 
 override_dh_missing:
 	dh_missing --fail-missing

## double-conversion 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
-project(double-conversion VERSION 3.1.7)
+project(double-conversion VERSION 3.2.0)
+
+option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 
 if(BUILD_SHARED_LIBS AND MSVC)
   set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
@@ -116,3 +118,13 @@
     NAMESPACE "${namespace}"
     DESTINATION "${config_install_dir}"
 )
+
+if (MSVC AND BUILD_SHARED_LIBS)
+  # Install companion PDB for Visual Studio
+  install(
+    FILES $<TARGET_PDB_FILE:double-conversion>
+    TYPE BIN
+    OPTIONAL
+  )
+endif()
+

=== debian/changelog ===
double-conversion (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

 -- Mo Zhou <lumin@debian.org>  Tue, 09 Aug 2022 07:25:08 -0700

double-conversion (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
    (In fact equivalent with our patched >= 3.1.7-3)
  * Remove merged patch: fix-mips.patch
  * Mark symbols disappearing with optimize=+lto as optional.
    (Closes: #1015388)

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Jul 2022 09:32:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: double-conversion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion
+Rules-Requires-Root: no
 
 Package: libdouble-conversion3
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all # optimize=+lto
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND += -O2
 export DEB_CXXFLAGS_MAINT_STRIP += -O3

=== debian/tests/control ===
Tests: unittest.sh
Depends: @, build-essential

Tests: cmake
Depends: @, build-essential, cmake
Restrictions: allow-stderr

## double-conversion 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(double-conversion VERSION 3.2.0)
+project(double-conversion VERSION 3.3.0)
 
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)

=== debian/changelog ===
double-conversion (3.3.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:53 +0200

double-conversion (3.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Mo Zhou ]
  * New upstream version 3.3.0

 -- Mo Zhou <lumin@debian.org>  Fri, 16 Jun 2023 23:51:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: double-conversion
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion

## double-conversion 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,16 @@
 
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 
-if(BUILD_SHARED_LIBS AND MSVC)
-  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
+if(MSVC)
+  if(BUILD_SHARED_LIBS)
+    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
+  endif()
+  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /D_DEBUG /D_ITERATOR_DEBUG_LEVEL=2")
 endif()
 
 set(headers
     double-conversion/bignum.h
+    double-conversion/bignum-dtoa.h
     double-conversion/cached-powers.h
     double-conversion/diy-fp.h
     double-conversion/double-conversion.h

=== debian/changelog ===
double-conversion (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest regression with CMake 4. (Closes: #1116507)
  * Bump Standards-Version to 4.7.2 (no change needed).

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 07 Oct 2025 22:48:54 -0400

double-conversion (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Bump Standards-Version to 4.7.0 (no change needed).

 -- Mo Zhou <lumin@debian.org>  Wed, 19 Feb 2025 16:18:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: double-conversion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/double-conversion
 Vcs-Git: https://salsa.debian.org/science-team/double-conversion.git
 Homepage: https://github.com/google/double-conversion

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%double-conversion-$1.tar.gz%" \
    https://github.com/google/double-conversion/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## double-conversion 3.4.0

=== debian/changelog ===
double-conversion (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 15:30:56 -0500
